<img src="gradle.png" width="350px" alt="Gradle Logo" />

[Gradle](https://gradle.org/) is a build tool with a focus on build automation and support for multi-language development. If you are building, testing, publishing, and deploying software on any platform, Gradle offers a flexible model that can support the entire development lifecycle from compiling and packaging code to publishing web sites. Gradle has been designed to support build automation across multiple languages and platforms including Java, Scala, Android, C/C++, and Groovy, and is closely integrated with development tools and continuous integration servers including Eclipse, IntelliJ, and Jenkins.

**For more information, please visit the [official project homepage](https://gradle.org)**

## Getting Started

* [Installing Gradle](https://docs.gradle.org/current/userguide/installation.html)
* [Building Android Apps](https://developer.android.com/training/basics/firstapp/)
* [Building Java Libraries](https://guides.gradle.org/building-java-libraries/)
* [Building Scala Libraries](https://guides.gradle.org/building-scala-libraries/)
* [Building Kotlin JVM Libraries](https://guides.gradle.org/building-kotlin-jvm-libraries/)
* [Building and Testing C++ Libraries](https://guides.gradle.org/building-cpp-libraries/)
* [Building Spring Boot 2 Applications with Gradle](https://guides.gradle.org/building-spring-boot-2-projects-with-gradle/)
* [Creating Build Scans](https://guides.gradle.org/creating-build-scans/)

## Stay in Flow
Enjoy first-class Gradle support in your IDE of choice.

* [Android Studio](https://developer.android.com/studio/build/index.html)
* [Eclipse](https://www.vogella.com/tutorials/EclipseGradle/article.html)
* [IntelliJ IDEA](https://www.jetbrains.com/help/idea/gradle.html)
* [NetBeans](http://plugins.netbeans.org/plugin/44510/gradle-support)
* [Visual Studio Code](https://code.visualstudio.com/docs/languages/java)

## Need Help?

* Get familiar with the [Gradle User Manual](https://docs.gradle.org/current/userguide/userguide.html)
* [Upcoming trainings](https://gradle.com/training/)
* Ask on the [forum](https://discuss.gradle.org/) or [StackOverflow](https://stackoverflow.com/questions/tagged/gradle)
* Have a look at the [Samples](https://docs.gradle.org/current/samples/index.html)
* Checkout the [Community Resources](https://gradle.org/resources/) as well
* Join our [Slack Channel](https://gradle.com/slack-invite)


## Contributing

If you're looking to contribute to Gradle or provide a patch/pull request, you can find more info [here](https://github.com/gradle/gradle/blob/master/CONTRIBUTING.md).

This project adheres to the [Gradle Code of Conduct](https://gradle.org/conduct/). By participating, you are expected to uphold this code.

